package com.hzya.frame.seeyon.cap4.form.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

import java.util.List;

/**
 * @Description record节点
 * @Author xiangerlin
 * @Date 2024/1/8 11:31
 **/
public class RecordDTO {
    @JSONField(ordinal = 1)
    private long id;//数据id，测试中发现新增时这个参数随便填写 不影响导入
    @JSONField(ordinal = 2)
    private List<RecordFieldDTO> fields;//字段列表

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public List<RecordFieldDTO> getFields() {
        return fields;
    }

    public void setFields(List<RecordFieldDTO> fields) {
        this.fields = fields;
    }
}
